unit Unit1;

{$WARN SYMBOL_PLATFORM OFF}

interface

uses
  ComObj, ActiveX, SprOperWrap_TLB, StdVcl;

type
  TSprOper = class(TAutoObject, ISprOper)
  protected
    procedure Init(ParentHandle: Integer); safecall;
    procedure ShowSprOper; safecall;
  end;

implementation

uses ComServ, SprOper;

procedure TSprOper.Init(ParentHandle: Integer);
begin
  SprOper.SyncApp( ParentHandle );
end;

procedure TSprOper.ShowSprOper;
begin
 SprOper.ShowSprOper( nil );
end;

initialization
  TAutoObjectFactory.Create(ComServer, TSprOper, Class_SprOper,
    ciMultiInstance, tmApartment);
end.
